# Class: TableList

## M_.TableList()

A multi columns list, a table

## Constructor

#### new TableList()

##### Properties:

Name | Type | Description
--- | --- | ---
`colsDef` | type |
`classHeader` | type |
`classItems` | type |
`styleTable` | type |
`fullHeight` | type |
`oddEven` | type |
`limitRows` | type |
`moreText` | type |
`lessText` | type |
`withMouseOverRaw` | type |

### Extends

- M_.SimpleList

### Methods

#### create() → {type}

Overrides:
  - M_.SimpleList#create

##### Returns:

Type
  type

#### destroy()

Destroy the outlet

Inherited From:
  - M_.Outlet#destroy

#### enterViewable(evt) → {type}

##### Parameters:

Name | Type | Description
--- | --- | ---
`evt` | type |

Inherited From:
  - M_.SimpleList#enterViewable

##### Returns:

Type
  type

#### findEl(selector) → {jQuery}

Search a class or selector in the container, like $.find()

##### Parameters:

Name | Type | Description
--- | --- | ---
`selector` | string |

Inherited From:
  - M_.Outlet#findEl

##### Returns:

Type
  jQuery

#### getEl() → {jquery}

Return jEl element. Generally the main object.

Inherited From:
  - M_.Outlet#getEl

##### Returns:

the main jQuery element

Type
  jquery

#### getLessText() → {type}

##### Returns:

Type
  type

#### getMoreText() → {type}

##### Returns:

Type
  type

#### getSelection() → {type}

Inherited From:
  - M_.SimpleList#getSelection

##### Returns:

Type
  type

#### leaveViewable(evt) → {type}

##### Parameters:

Name | Type | Description
--- | --- | ---
`evt` | type |

Inherited From:
  - M_.SimpleList#leaveViewable

##### Returns:

Type
  type

#### moveViewable(evt) → {type}

##### Parameters:

Name | Type | Description
--- | --- | ---
`evt` | type |

Inherited From:
  - M_.SimpleList#moveViewable

##### Returns:

Type
  type

#### render() → {type}

Overrides:
  - M_.SimpleList#render

##### Returns:

Type
  type

#### setSelection(m_id)

##### Parameters:

Name | Type | Description
--- | --- | ---
`m_id` | type |

Inherited From:
  - M_.SimpleList#setSelection

#### updateStore() → {type}

Inherited From:
  - M_.SimpleList#updateStore

##### Returns:

Type
  type